Subject: Re: [PATCH] format-patch: output header for empty commits

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Mar 2023 12:43:45 -0800

John Keeping <[email-masked]> writes:

>> Overall, if we were designing format-patch/send-email/am today with
>> today's use cases in mind without any existing users of these three
>> commands, I think these three would be designed to pass an empty
>> commit through the chain unconditionally.  But we do not live in
>> such a world, so perhaps some sort of opting in may be appropriate.
>
> Does that mean you want to see format-patch die on empty commits unless
> --allow-empty is specified?

No, what I (with Devil's advocate hat on) suggested was to hide the
"instead of leaving an empty file, fill the file with the log message"
feature this patch adds behind --allow-empty option, and when the
option is not given, keep the current behaviour.